package org.eco.als.domain.bo;

import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.Aircraft;
import org.eco.common.orm.core.domain.TreeEntity;

/**
 * 机型机号业务对象 als_aircraft_t
 *
 * @author wgk
 * @date 2024-07-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Aircraft.class, reverseConvertGenerate = false)
public class AircraftBo extends TreeEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 机型/机号
     */
    @NotBlank(message = "机型/机号不能为空")
    private String name;


}
