package org.eco.als.domain.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.AlsFaultCase;
import org.eco.common.orm.core.domain.BaseEntity;

import java.util.Date;

/**
 * 故障案例业务对象 als_fault_case_t
 *
 * @author wgk
 * @date 2024-07-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlsFaultCase.class, reverseConvertGenerate = false)
public class AlsFaultCaseBo extends BaseEntity {
    /**
     * 编号
     */
    private Long id;

    /**
     * 机型
     */
    @NotBlank(message = "机型不能为空")
    private String aircraftType;

    /**
     * 单位
     */
    private String unitName;

    /**
     * 故障件名称
     */
    private String itemName;

    /**
     * 专业
     */
    private String specialty;

    /**
     * 故障现象
     */
    private String faultPhenomenon;

    /**
     * 发动机型别
     */
    private String engineType;

    /**
     * 故障发生地点
     */
    private String locationFault;

    /**
     * 故障件型别
     */
    private String itemType;

    /**
     * 发生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date occurDate;

    /**
     * 系统
     */
    private String systemName;

    /**
     * 故障原因
     */
    private String causeFault;

    /**
     * 故障性质
     */
    private String natureFault;

    /**
     * 判明方法
     */
    private String methodDetermination;

    /**
     * 排除方法
     */
    private String methodRectification;

    /**
     * 备注
     */
    private String remarks;


}
