package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.Aircraft;
import org.eco.common.orm.core.domain.TreeEntity;

import java.io.Serial;
import java.io.Serializable;

/**
 * 机型机号视图对象 als_aircraft_t
 *
 * @author wgk
 * @date 2024-07-18
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Aircraft.class)
public class AircraftVo extends TreeEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 机型/机号
     */
    @ExcelProperty(value = "机型/机号")
    private String name;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
