package org.eco.als.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.eco.als.domain.AlsFaultCase;
import org.eco.common.orm.core.domain.BaseEntity;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 故障案例视图对象 als_fault_case_t
 *
 * @author wgk
 * @date 2024-07-18
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlsFaultCase.class)
public class AlsFaultCaseVo extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @ExcelProperty(value = "编号")
    private Long id;

    /**
     * 机型
     */
    @ExcelProperty(value = "机型")
    private String aircraftType;

    /**
     * 单位
     */
    @ExcelProperty(value = "单位")
    private String unitName;

    /**
     * 故障件名称
     */
    @ExcelProperty(value = "故障件名称")
    private String itemName;

    /**
     * 专业
     */
    @ExcelProperty(value = "专业")
    private String specialty;

    /**
     * 故障现象
     */
    @ExcelProperty(value = "故障现象")
    private String faultPhenomenon;

    /**
     * 发动机型别
     */
    @ExcelProperty(value = "发动机型别")
    private String engineType;

    /**
     * 故障发生地点
     */
    @ExcelProperty(value = "故障发生地点")
    private String locationFault;

    /**
     * 故障件型别
     */
    @ExcelProperty(value = "故障件型别")
    private String itemType;

    /**
     * 发生日期
     */
    @ExcelProperty(value = "发生日期")
    private Date occurDate;

    /**
     * 系统
     */
    @ExcelProperty(value = "系统")
    private String systemName;

    /**
     * 故障原因
     */
    @ExcelProperty(value = "故障原因")
    private String causeFault;

    /**
     * 故障性质
     */
    @ExcelProperty(value = "故障性质")
    private String natureFault;

    /**
     * 判明方法
     */
    @ExcelProperty(value = "判明方法")
    private String methodDetermination;

    /**
     * 排除方法
     */
    @ExcelProperty(value = "排除方法")
    private String methodRectification;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remarks;

    /**
     * 删除标识（1删除 0未删除）
     */
    @ExcelProperty(value = "删除标识（1删除 0未删除）")
    private Integer delFlag;


}
